# Method: accounts.dataSources.fetch

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/fetch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/fetch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/fetch#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/fetch#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/fetch#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/fetch#try-it)

Performs the data fetch immediately (even outside fetch schedule) on a data source from your Merchant Center Account. If you need to call this method more than once per day, you should use the Products service to update your product data instead. This method only works on data sources with a file input set.

### HTTP request

`POST https://merchantapi.googleapis.com/datasources/v1/{name=accounts/*/dataSources/*}:fetch`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the data source resource to fetch. Format: `accounts/{account}/dataSources/{datasource}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).